import * as React from 'react';
import { render, screen } from '@testing-library/react';
import ProblemSuggestionList, {
  ProblemSuggestionListProps,
} from './ProblemSuggestionList';

describe('<ProblemSuggestionList>', () => {
  it('renders a list of suggestions to answer questions or solve issues', () => {
    const suggestion = {
        link: 'http://example.com',
        description: 'What is your bankaccountnumer?',
    };
    const givenSuggestions: ProblemSuggestionListProps = {
      intro:
        'Here are some of the most common examples of administrative issues:',
      suggestions: [suggestion],
    };
    const { getByText } = render(
      <ProblemSuggestionList {...givenSuggestions} />,
    );
    const solutionIntro = getByText(/examples of administrative issues:/i);
    expect(document.body.contains(solutionIntro));
    const theSolutionLink = screen.getByRole('link');
    expect(theSolutionLink).toHaveTextContent(suggestion.description);
    expect(theSolutionLink).toHaveAttribute('href', suggestion.link);
  });
});
